Configuration:
  name: Default
  properties:
    property:
      - name: pattern
        value: "%-5level %d{yyyy-MM-dd HH:mm:ss.SSS}%notEmpty{ bcRid=%X{bcRid}} %msg%n"

  Appenders:
    Console:
      - name: ConsoleAppender
        target: SYSTEM_OUT
        PatternLayout:
          pattern: ${pattern}

    File:
      - name: FileAppender
        fileName: "logs/test.log"
        append: false
        PatternLayout:
          pattern: ${pattern}
      - name: EvmEventReceiver_EvmContainerAppender
        fileName: "logs/evm_container.log"
        append: false
        PatternLayout:
          pattern: "%msg%n"
      - name: EvmEventReceiver_Node1Appender
        fileName: "logs/node1.log"
        append: false
        PatternLayout:
          pattern: "%msg%n"
      - name: EvmEventReceiver_Node2Appender
        fileName: "logs/node2.log"
        append: false
        PatternLayout:
          pattern: "%msg%n"
      - name: EvmEventReceiver_Node3Appender
        fileName: "logs/node3.log"
        append: false
        PatternLayout:
          pattern: "%msg%n"

  Loggers:
    Root:
      level: info
      additivity: false
      AppenderRef:
        - ref: FileAppender

    Logger:
      - name: test_logger
        level: info
        additivity: false
        AppenderRef:
          - ref: ConsoleAppender
          - ref: FileAppender

      # EvmEventReceiver tests
      - name: EvmEventReceiver_EvmContainerLogger
        level: info
        additivity: false
        AppenderRef:
          - ref: EvmEventReceiver_EvmContainerAppender
      - name: EvmEventReceiver_Node1Logger
        level: info
        additivity: false
        AppenderRef:
          - ref: EvmEventReceiver_Node1Appender
      - name: EvmEventReceiver_Node2Logger
        level: info
        additivity: false
        AppenderRef:
          - ref: EvmEventReceiver_Node2Appender
      - name: EvmEventReceiver_Node3Logger
        level: info
        additivity: false
        AppenderRef:
          - ref: EvmEventReceiver_Node3Appender
